snmp_threadsync.c File Reference
`#include "lwip/apps/snmp_opts.h"`
`#include "lwip/apps/snmp_threadsync.h"`
`#include "lwip/apps/snmp_core.h"`
`#include "lwip/sys.h"`
`#include <string.h>`

## Functions

void | snmp_threadsync_init (struct snmp_threadsync_instance *instance, snmp_threadsync_synchronizer_fn sync_fn)

## Detailed Description

SNMP thread synchronization implementation.

## Function Documentation

## snmp_threadsync_init()

void snmp_threadsync_init | ( | struct snmp_threadsync_instance * | instance,
|  | snmp_threadsync_synchronizer_fn | sync_fn
| ) |  |

Initializes thread synchronization instance